(setq lg-path "")    ; You may use this line to tell LISP Generator where to
                     ; look for its files.  For example, if you did not put
                     ; the LG files in your AutoCAD directory, but in an LG2
                     ; directory instead, you would change the first line to
                     ; read: (setq lg-path "/LG2/") or (setq lg-path "c:/lg2/")

(while (not (setq test (open (strcat lg-path "lg-1.lsp") "r")))
  (if (/= lg-path "")
    (prompt (strcat "\nThe LISP Generator files have not been found in the "
      lg-path "\npath.  Please supply the correct one. (i.e. /LISPGEN/): "))
    (prompt (strcat "\nThe LISP Generator files have not been found."
      "\nPlease supply their directoy path. (i.e. /LISPGEN/): "))
  )
  (prompt "\nNote: You may set this path once and for all by editing")
  (prompt "\nthe first line of the LG.LSP file. ")
  (setq lg-path (getstring))
)
(close test)

(defun c:lg () (load (strcat lg-path "LG-1")) (lg))
(if (/= (car c:lg) nil) (setq c:lg (cdr c:lg)))
(princ "\nLoaded.  ")
(prin1)