;This software is (C)Copyright 1990, BEOWOLF Technologies. All rights reserved.
;------------------------------------------------------------------------------
;
; Lines that begin with a ";" are non-executable comments.
;
;
; DEFTYPE
; You may use the DEFTYPE setting to give your self a create choice of
; creating AutoCAD commands or AutoLISP functions with your programs.
; Possible settings:
;        nil or not set --> program will be an AutoCAD command.  (default)
;                 "ASK" --> you will be prompted to choose.
;example:
;(setq deftype "ASK")

(setq deftype nil)

;
; ERROFF
; You may use the ERROFF setting to instruct LISP Generator insert
; the error-handling subroutine in your program or not.
; Possible settings:
;                   nil (or not set) --> error-handling on   (default)
;                  any non-nil value --> error-handling off
;example:
;(setq erroff 1)

(setq erroff nil)

;
; TOFILE
; You may use the TOFILE setting to control how your code is written to
; its file.  There are two methods: appending and overwriting.  You have
; the options of automatically doing one or the other or choosing.
; Possible settings:
;  nil (or not set) --> you will be prompted to choose.  (default)
;          "APPEND" --> files will be appended to existing files, if any.
;       "OVERWRITE" --> files will overwrite existing files, if any.
;example:
;(setq tofile "APPEND")

(setq tofile nil)

;
; ECHOCMD
; You may use the ECHOCMD setting to control whether the system variable
; CMDECHO is set to 1 or 0 at the beginning of your programs.  A CMDECHO
; of one means that as your program executes you will see all the AutoCAD
; commands inside it scroll by the command line as they execute.  This is fine
; if you are interested in watching your program work, but annoying and an
; unnecessary hindrance to the speed of your program if you are not.  To have
; your program execute "quietly" set CMDECHO to 0.
; If you specify either a 1 or a 0 for LG2's ECHOCMD value, your programs will
; contain code to temporarily overwrite the current setting of CMDECHO as they
; execute.  If you do not specify ECHOCMD, the current setting of AutoCAD's
; CMDECHO will be in effect as your programs execute.  This would allow you
; the option to set CMDECHO either way you like before you execute a program
; and not have that setting overwritten by the program.
; If your programs do set CMDECHO, it is only temporary.  When they are
; finished CMDECHO will be returned to its previous setting.
; Possible settings:
;             nil --> your programs will not set CMDECHO themselves.
;               0 --> your programs will execute quietly by setting CMDECHO to 0.
;    (default)  1 --> your programs will echo commands by setting CMDECHO to 1.
;example:
;(setq echocmd nil)

(setq echocmd 1)